Cancel Order

Checking order status in a payment gateway refers to the process of verifying the status of a payment transaction, typically including whether it has been successfully processed, declined, pending, or completed, providing transparency and information to both merchants and customers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Params:

NameTypeDescriptionMandatory(Y-
yes)/Optional(O)
clientIdStringClient Id is provided in Wowpe Dashboard.Y
secretKeyStringsecretKey is provided in Wowpe Dashboard.Y
orderIdStringWowpe order idY
reasonStringReason of orderY

Request Sample:

{
  "clientId": "2448982d-ef21-48XXX",
  "secretKey": "bb316991-9001-43eaXXX",
  "orderId": "WOWPEO1000137",
  "reason": "Created"
}

Response Param:

KeyTypeDescription
statusCodeInt1 => Cancelled
6=> Order not found
messageStringCancel Message
OrderIdStringWowpe order ID
Body Params
string
required

Client Id is provided in Wowpe Dashboard

string
required

secretKey is provided in Wowpe Dashboard.

string
required

Wowpe order id

string
required

Reason of order

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json